"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = rawLoader;

var _execa = _interopRequireDefault(require("execa"));

var _loaderUtils = require("loader-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-unused-vars */
// import { validate } from 'schema-utils';
// import schema from './options.json';
async function rawLoader(source) {
  const options = (0, _loaderUtils.getOptions)(this);
  const callback = this.async();
  const phpScript = this.resourcePath; // validate(schema, options, {
  //   name: 'HHVM PHP Loader',
  //   baseDataPath: 'options',
  // });

  try {
    const results = await (0, _execa.default)('hhvm', [phpScript]);
    const json = JSON.stringify(results.stdout).replace(/\u2028/g, '\\u2028').replace(/\u2029/g, '\\u2029');
    const esModule = typeof options.esModule !== 'undefined' ? options.esModule : true;
    return `${esModule ? 'export default' : 'module.exports ='} ${json};`;
  } catch (error) {
    this.emitError(error);
  }

  return null;
}